{% extends 'base.html.twig' %}

{% block title %}Hello TopicController!{% endblock %}

{% block body %}
<main>
    <h1>Topics</h1>
    <ul>
        {% for topic in topics %}
        <li><a href="{{path('one_topic', {id:topic.id})}}">{{topic.title}}</a></li>
        {% endfor %}
    </ul>
    {% for page in 1..pageNumber %}
    <a href="?page={{page}}">{{page}}</a>
    {% endfor %}
    <p>
        <a href="{{path('new_topic')}}">New Topic</a>
    </p>
</main>
{% endblock %}